Name:           mbox2eml
Version:        0.1.2
Release:        12%{?dist}
Summary:        Split mbox mailboxes into single .eml files

License:        GPL+
URL:            http://sourceforge.net/projects/mbox2eml/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        set-eml-mtimes.pl

BuildRequires:  boost-devel
BuildRequires:  popt-devel

%description
Mbox2eml splits mbox mailboxes into single .eml files.  It is highly
configurable and written in C++ to gain maximum performance using a
minimum of RAM.


%prep
%setup -q
sed -i -e 's/\r//g' AUTHORS ChangeLog
install -pm 644 %{SOURCE1} .


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%license COPYING
%doc AUTHORS ChangeLog README set-eml-mtimes.pl
%{_bindir}/mbox2eml


%changelog
* Wed Jul 19 2017 Jonathan Wakely <jwakely@redhat.com> - 0.1.2-12
- Rebuilt for s390x binutils bug

* Mon Jul 03 2017 Jonathan Wakely <jwakely@redhat.com> - 0.1.2-11
- Rebuilt for Boost 1.64

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 0.1.2-9
- Rebuilt for Boost 1.63

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 0.1.2-7
- Rebuilt for Boost 1.60

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.1.2-6
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.1.2-4
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Tue Feb 10 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-1
- Update to 0.1.2, all patches applied upstream

* Mon Feb  9 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-25
- Patch to fix build with GCC 5
- Mark COPYING as %%license

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.1.1-24
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.1.1-21
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.1.1-20
- rebuild for boost 1.55.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.1.1-18
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.1.1-17
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.1.1-16
- Rebuild for Boost-1.53.0

* Fri Jul 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-15
- Patch to build with boost filesystem v3.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-13
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 20 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-11
- Clean up specfile stuff no longer needed with Fedora or EL6+.

* Thu Jul 21 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-10
- Rebuild.

* Thu Apr  7 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-9
- Rebuild.

* Tue Mar 15 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-8
- Rebuild.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb  7 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-6
- Fix build with boost 1.46.

* Mon Feb 07 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.1.1-5
- rebuild for new boost

* Tue Jul 27 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-4
- Rebuild.

* Sun Mar  7 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-3
- Fix build with ld --no-add-needed.

* Fri Nov  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-2
- Add script for setting mtimes to dates of .eml in docs.

* Fri Nov  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-1
- First build.
